<?php
use VougeElementor\Widgets\VougeElementorWidgetBase;
use Elementor\Controls_Manager;
use Elementor\Utils;

class Elementor_Post_Author extends VougeElementorWidgetBase {

    public function get_name() {
        return 'wdt-post-author';
    }

    public function get_title() {
        return esc_html__('Post - Author', 'vouge-pro');
    }

    protected function register_controls() {

        $this->start_controls_section( 'wdt_section_general', array(
            'label' => esc_html__( 'General', 'vouge-pro'),
        ) );

            $this->add_control( 'style', array(
                'type'    => Controls_Manager::SELECT,
				'label'   => esc_html__('Style', 'vouge-pro'),
                'default' => '',
                'options' => array(
                    ''  => esc_html__('Default', 'vouge-pro'),
                    'meta-elements-space'		 => esc_html__('Space', 'vouge-pro'),
                    'meta-elements-boxed'  		 => esc_html__('Boxed', 'vouge-pro'),
                    'meta-elements-boxed-curvy'  => esc_html__('Curvy', 'vouge-pro'),
                    'meta-elements-boxed-round'  => esc_html__('Round', 'vouge-pro'),
					'meta-elements-filled'  	 => esc_html__('Filled', 'vouge-pro'),
					'meta-elements-filled-curvy' => esc_html__('Filled Curvy', 'vouge-pro'),
					'meta-elements-filled-round' => esc_html__('Filled Round', 'vouge-pro'),
                ),
            ) );

            $this->add_control( 'el_class', array(
                'type'        => Controls_Manager::TEXT,
                'label'       => esc_html__('Extra class name', 'vouge-pro'),
                'description' => esc_html__('Style particular element differently - add a class name and refer to it in custom CSS', 'vouge-pro')
            ) );

        $this->end_controls_section();

    }

    protected function render() {

        $settings = $this->get_settings_for_display();

        extract($settings);

		$out = '';

		global $post;
		$post_id =  $post->ID;

        $Post_Style = vouge_get_single_post_style( $post_id );

		$template_args['post_ID'] = $post_id;
		$template_args['post_Style'] = $Post_Style;

		$out .= '<div class="entry-author-wrapper '.$style.' '.$el_class.'">';
            $out .= vouge_get_template_part( 'post', 'templates/'.$Post_Style.'/parts/author', '', $template_args );
		$out .= '</div>';

		echo $out;
	}

}